# List Metrics (/api-reference/list-metrics)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1648 · updated: 2026-09-06 -->
Related: [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Get Inbox](/api-reference/get-inbox.md), [Update Inbox](/api-reference/update-inbox.md), [Delete Inbox](/api-reference/delete-inbox.md), [List Pods](/api-reference/list-pods.md)

# List Metrics

`GET /v0/inboxes/{inbox_id}/metrics`

List Metrics

## OpenAPI

```json
{
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "parameters": [
    {
      "name": "inbox_id",
      "in": "path",
      "required": true,
      "schema": {
        "title": "inboxesInboxId",
        "type": "string",
        "description": "ID of inbox."
      }
    },
    {
      "name": "event_types",
      "in": "query",
      "required": false,
      "schema": {
        "title": "MetricEventTypes",
        "type": "array",
        "items": {
          "title": "MetricEventType",
          "type": "string",
          "enum": [
            "message.sent",
            "message.delivered",
            "message.bounced",
            "message.delayed",
            "message.rejected",
            "message.complained",
            "message.received"
          ],
          "description": "Type of metric event."
        },
        "description": "List of metric event types to filter by."
      }
    },
    {
      "name": "start_timestamp",
      "in": "query",
      "required": true,
      "schema": {
        "title": "MetricStartTimestamp",
        "type": "string",
        "format": "date-time",
        "description": "Start timestamp for the metrics query range."
      }
    },
    {
      "name": "end_timestamp",
      "in": "query",
      "required": true,
      "schema": {
        "title": "MetricEndTimestamp",
        "type": "string",
        "format": "date-time",
        "description": "End timestamp for the metrics query range."
      }
    }
  ],
  "responses": {
    "200": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ListMetricsResponse",
            "type": "object",
            "properties": {
              "message": {
                "title": "MessageMetrics",
                "type": "object",
                "properties": {
                  "sent": {
                    "type": "array",
                    "items": {
                      "title": "MetricTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Timestamp when the metric event occurred."
                    },
                    "nullable": true,
                    "description": "Timestamps when messages were sent."
                  },
                  "delivered": {
                    "type": "array",
                    "items": {
                      "title": "MetricTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Timestamp when the metric event occurred."
                    },
                    "nullable": true,
                    "description": "Timestamps when messages were delivered."
                  },
                  "bounced": {
                    "type": "array",
                    "items": {
                      "title": "MetricTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Timestamp when the metric event occurred."
                    },
                    "nullable": true,
                    "description": "Timestamps when messages bounced."
                  },
                  "delayed": {
                    "type": "array",
                    "items": {
                      "title": "MetricTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Timestamp when the metric event occurred."
                    },
                    "nullable": true,
                    "description": "Timestamps when messages were delayed."
                  },
                  "rejected": {
                    "type": "array",
                    "items": {
                      "title": "MetricTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Timestamp when the metric event occurred."
                    },
                    "nullable": true,
                    "description": "Timestamps when messages were rejected."
                  },
                  "complained": {
                    "type": "array",
                    "items": {
                      "title": "MetricTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Timestamp when the metric event occurred."
                    },
                    "nullable": true,
                    "description": "Timestamps when messages received complaints."
                  },
                  "received": {
                    "type": "array",
                    "items": {
                      "title": "MetricTimestamp",
                      "type": "string",
                      "format": "date-time",
                      "description": "Timestamp when the metric event occurred."
                    },
                    "nullable": true,
                    "description": "Timestamps when messages were received."
                  }
                }
              }
            }
          }
        }
      }
    },
    "400": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ValidationErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "errors": {
                "description": "Validation errors."
              }
            },
            "required": [
              "name",
              "errors"
            ]
          }
        }
      }
    },
    "404": {
      "description": "",
      "content": {
        "application/json": {
          "schema": {
            "title": "ErrorResponse",
            "type": "object",
            "properties": {
              "name": {
                "title": "ErrorName",
                "type": "string",
                "description": "Name of error."
              },
              "message": {
                "type": "string",
                "description": "Error message."
              }
            },
            "required": [
              "name",
              "message"
            ]
          }
        }
      }
    }
  }
}
```
